{
  "name": "mohamed-karkotly",
  "version": "2.0.1",
  "author": "Mohamed Karkotly",
  "homepage": "https://mohamed-karkotly.web.app/",
  "main": "main.js",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e",
    "electron": "ng build --base-href ./ && electron .",
    "windows": "electron-packager . Mohamed-Karkotly --platform=win32 --arch=x64 --icon=www/assets/icon/favicon.ico --overwrite --out=electron-release-builds"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "^14.1.3",
    "@angular/cdk": "^14.1.3",
    "@angular/common": "^14.1.3",
    "@angular/core": "^14.1.3",
    "@angular/fire": "^7.0.4",
    "@angular/forms": "^14.1.3",
    "@angular/localize": "^14.1.3",
    "@angular/platform-browser": "^14.1.3",
    "@angular/platform-browser-dynamic": "^14.1.3",
    "@angular/router": "^14.1.3",
    "@capacitor-community/electron": "^4.1.2",
    "@capacitor/android": "4.1.0",
    "@capacitor/app": "4.0.1",
    "@capacitor/core": "4.1.0",
    "@capacitor/electron": "2.5.0",
    "@capacitor/filesystem": "^4.0.1",
    "@capacitor/haptics": "4.0.1",
    "@capacitor/ios": "4.1.0",
    "@capacitor/keyboard": "4.0.1",
    "@capacitor/splash-screen": "^4.0.1",
    "@capacitor/status-bar": "4.0.1",
    "@fortawesome/fontawesome-free": "^6.1.2",
    "@ionic/angular": "^6.2.3",
    "@ng-bootstrap/ng-bootstrap": "^13.0.0",
    "@ngx-translate/core": "^14.0.0",
    "@ngx-translate/http-loader": "^7.0.0",
    "@popperjs/core": "^2.11.6",
    "autoprefixer": "10.4.5",
    "bootstrap": "^5.2.0-beta1",
    "electron-dl": "^3.3.1",
    "firebase": "^9.9.3",
    "leaflet": "^1.8.0",
    "ngx-countup": "^13.1.0",
    "rfs": "^9.0.6",
    "rxfire": "^6.0.3",
    "rxjs": "~7.5.6",
    "tslib": "^2.4.0",
    "zone.js": "~0.11.8"
  },
  "devDependencies": {
    "@angular-devkit/architect": "^0.1401.3",
    "@angular-devkit/build-angular": "^14.1.3",
    "@angular-eslint/builder": "~14.0.2",
    "@angular-eslint/eslint-plugin": "~14.0.2",
    "@angular-eslint/eslint-plugin-template": "~14.0.2",
    "@angular-eslint/template-parser": "~14.0.2",
    "@angular/cli": "^14.1.3",
    "@angular/compiler": "^14.1.3",
    "@angular/compiler-cli": "^14.1.3",
    "@angular/language-service": "^14.1.3",
    "@capacitor/cli": "^4.1.0",
    "@ionic/angular-toolkit": "^7.0.0",
    "@types/jasmine": "~4.0.3",
    "@types/jasminewd2": "~2.0.10",
    "@types/leaflet": "^1.7.11",
    "@types/node": "^18.7.8",
    "@typescript-eslint/eslint-plugin": "5.33.1",
    "@typescript-eslint/parser": "5.33.1",
    "electron": "^6.1.12",
    "electron-packager": "^13.1.1",
    "eslint": "^8.22.0",
    "eslint-plugin-import": "2.26.0",
    "eslint-plugin-jsdoc": "39.3.6",
    "eslint-plugin-prefer-arrow": "1.2.3",
    "firebase-tools": "^1.2.0",
    "fuzzy": "^0.1.3",
    "inquirer": "^9.1.0",
    "inquirer-autocomplete-prompt": "^2.0.0",
    "jasmine-core": "~4.3.0",
    "jasmine-spec-reporter": "~7.0.0",
    "jsonc-parser": "^3.1.0",
    "karma": "~6.4.0",
    "karma-chrome-launcher": "~3.1.1",
    "karma-coverage": "~2.2.0",
    "karma-coverage-istanbul-reporter": "~3.0.3",
    "karma-jasmine": "~5.1.0",
    "karma-jasmine-html-reporter": "^2.0.0",
    "open": "^8.4.0",
    "protractor": "~7.0.0",
    "ts-node": "~10.9.1",
    "typescript": "~4.7.4"
  },
  "build": {
    "appId": "com.karkotly.app",
    "productName": "MK - Portfolio",
    "target": "NSIS",
    "directory": {
      "output": "electron-build"
    },
    "nsis": {
      "allowToChangeInstallationDirectory": true,
      "oneClick": false
    }
  },
  "overrides": {
    "autoprefixer": "10.4.5"
  },
  "description": "Mohamed Karkotly's personal portfolio"
}
